List asset types
GET
/api/projects/{projectid}/asset-types
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/asset-types"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/asset-types';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/asset-types \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectid
required
string format: uuid
The project identifier.
Responses
Section titled “Responses”OK
Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
notificationRecipients
string
notifiyNewAssets
boolean
publish
boolean
itemOrder
integer | string format: int32
authLevel
string
hasChecklist
boolean
useForAllEventTypes
boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
notificationRecipients
string
notifiyNewAssets
boolean
publish
boolean
itemOrder
integer | string format: int32
authLevel
string
hasChecklist
boolean
useForAllEventTypes
boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "etag": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "style": { "hasStyle": true, "primaryColor": "example", "secondaryColor": "example", "backgroundColor": "example", "textColor": "example", "contrastColor": "example", "fontFamily": "example", "secondaryContrastColor": "example" }, "imageUrl": "example", "imageAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "notificationRecipients": "example", "notifiyNewAssets": true, "publish": true, "itemOrder": 1, "authLevel": "example", "hasChecklist": true, "useForAllEventTypes": true, "meta": "example", "profileImages": { "defaultOriginal": "example", "defaultLarge": "example", "defaultMedium": "example", "defaultSmall": "example", "thumbnailSmall": "example", "thumbnailLarge": "example" } }]Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
notificationRecipients
string
notifiyNewAssets
boolean
publish
boolean
itemOrder
integer | string format: int32
authLevel
string
hasChecklist
boolean
useForAllEventTypes
boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "etag": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "style": { "hasStyle": true, "primaryColor": "example", "secondaryColor": "example", "backgroundColor": "example", "textColor": "example", "contrastColor": "example", "fontFamily": "example", "secondaryContrastColor": "example" }, "imageUrl": "example", "imageAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "notificationRecipients": "example", "notifiyNewAssets": true, "publish": true, "itemOrder": 1, "authLevel": "example", "hasChecklist": true, "useForAllEventTypes": true, "meta": "example", "profileImages": { "defaultOriginal": "example", "defaultLarge": "example", "defaultMedium": "example", "defaultSmall": "example", "thumbnailSmall": "example", "thumbnailLarge": "example" } }]Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}